## org.eclipse.uml2.uml.ecore.importer
Class UMLImporterApplication.PackageInfo

    java.lang.Object
      org.eclipse.uml2.uml.ecore.importer.UMLImporterApplication.PackageInfo

Enclosing class:
  UMLImporterApplication

    public static class UMLImporterApplication.PackageInfo

extends java.lang.Object

Field Summary
`java.lang.String` `base`
`java.lang.String` `name`
`java.lang.String` `nsPrefix`
`java.lang.String` `nsURI`
`java.lang.String` `operationsPackage`
`java.lang.String` `prefix`
`boolean` `resourceInterfaces`

Constructor Summary
`UMLImporterApplication.PackageInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### nsPrefix

    public java.lang.String nsPrefix

### nsURI

    public java.lang.String nsURI

### base

    public java.lang.String base

### prefix

    public java.lang.String prefix

### operationsPackage

    public java.lang.String operationsPackage

### resourceInterfaces

    public boolean resourceInterfaces

Constructor Detail

### UMLImporterApplication.PackageInfo

    public UMLImporterApplication.PackageInfo()

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.